Returns the activation function

- « fann_duplicate_train_data

- fann_get_activation_steepness »

- PHP Manual
- Fann Functions
- Returns the activation function

# fann_get_activation_function

(PECL fann >= 1.0.0)

fann_get_activation_function — Returns the activation function

### Description

fann_get_activation_function(resource `$ann`, int `$layer`, int `$neuron`): int

Get the activation function for neuron number `neuron` in layer number `layer`, counting the input layer as layer 0.

It is not possible to get activation functions for the neurons in the input layer.

The return value is one of the activation functions constants.

### Parameters

`ann`

  Neural network resource.

`layer`

  Layer number.

`neuron`

  Neuron number.

### Return Values

Learning functions constant or -1 if the neuron is not defined in the neural network, or `false` on error.

### See Also

- fann_set_activation_function_layer() - Sets the activation function for all the neurons in the supplied layer
- fann_set_activation_function_hidden() - Sets the activation function for all of the hidden layers
- fann_set_activation_function_output() - Sets the activation function for the output layer
- fann_set_activation_steepness() - Sets the activation steepness for supplied neuron and layer number
- fann_set_activation_function() - Sets the activation function for supplied neuron and layer